QGIS Application - Bug report #17779
Customization: no way to hide the Locator widget
2018-01-03 07:43 PM - Borys Jurgiel

Status: Feedback

Priority: Low

Assignee: Nyall Dawson

Category: Customisation Framework

Affected QGIS version:3.7(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25675
Description

The Locator Widget is not listed in the QgsCustomizationDialog, as it has no objectName.

After setting its objectName, it's properly included to the tree, however, unticking its checbox is not effective.

History

#1 - 2018-01-03 07:47 PM - Borys Jurgiel

- Regression? set to No

- Tracker changed from Feature request to Bug report
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Switching to Bug report, as similar deficiencies are reported as bugs.

#2 - 2018-01-05 11:56 AM - Borys Jurgiel

| have more details. If | set the objectName in ggisapp.cpp:

mLocatorWidget->setObjectName( QStringLiteral( "mLocatorWidget" ) );

the widget is properly identified and QgsCustomization::updateMainWindow() tries to remove it by calling (qgscustomization.cpp:758):

sb->removeWidget( widget );

However, this call seems to take no effect.

Furthermore, if | modify inserting the widget and put it to the right:
qgisapp.cpp : 2912

- mStatusBar->addPermanentWidget( mLocatorWidget, 0, QgsStatusBar::AnchorLeft );
+ mStatusBar->addPermanentWidget( mLocatorWidget, 0 );

The result is strange: qgisapp.cpp successfully places it to the right and then the customization framework moves it to the "normal” (left) position instead of
hiding it. IIRC, when | completely commented out the line above, the widget was still visible in the status bar. Is it added in another part of the code?
Further investigations needed.

#3 - 2018-01-05 12:03 PM - Borys Jurgiel
- Assignee set to Nyall Dawson

Hi Nyall, as you wrote the locator, hopefully it's something trivial for you. Otherwise feel free to reassign it to me and I'll come back to it when | have more

time.

#4 - 2019-03-09 04:34 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#5 - 2019-03-09 06:44 PM - Borys Jurgiel
- Affected QGIS version changed from master to 3.7(master)

Yes, still valid.

#6 - 2019-03-09 07:05 PM - Borys Jurgiel
- Priority changed from Normal to Low

2025-04-27 22



